Package Details: bcwc-pcie-git 0.5.7.r0.g82626d4-1

Git Clone URL: https://aur.archlinux.org/bcwc-pcie-git.git (read-only, click to copy)
Package Base: bcwc-pcie-git
Description: Reverse engineered Linux driver for the Broadcom 1570 PCIe webcam.
Upstream URL: https://github.com/patjak/bcwc_pcie
Keywords: driver facetime macbook webcam
Licenses: unknown
Provides: bcwc-pcie, bcwc-pcie-dkms
Replaces: bcwc-pcie, bcwc-pcie-dkms
Submitter: WhyNotHugo
Maintainer: ivladak
Last Packager: ivladak
Votes: 25
Popularity: 0.46
First Submitted: 2015-12-23 14:14
Last Updated: 2021-01-21 21:04

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 Next › Last »

WhyNotHugo commented on 2017-07-06 00:31

You should NEVER run makepkg as root. TBH, I actually thought makepkg bailed if you ran it as root.

kroylar commented on 2017-07-06 00:25

Please change the PKGBUILD to use "git cherry-pick -n ...". This will allow the package to build without a having git configured, as is typically the case for the root user.

WhyNotHugo commented on 2017-05-24 19:56

We currently have two packages: bcwc-pcie-dkms and bcwc-pcie-git, but both track the latest git version.

Upstream has not stable releases, and probably never will (since the intention is to merge the drive into the linux kernel).

I'm inclined to simply merge this package into bcwc-pcie-git, (and keep just that one updated). Any objections?

khaezaid commented on 2017-05-01 22:28

Thank you for this. One thing I noticed is that this package has a hard dependency on "linux-headers" whereas other dkms packages list it as optional since not everyone uses the stock kernel. It might also be worth adding "linux-macbook-headers" as an optional dependency to hint at people with macbooks that there is a special kernel for them.

didacog commented on 2017-04-25 17:45

Many thanks! now is working!

Just for info: MacbookAir 11' (Early 2015)

Thanks again! ;)

WhyNotHugo commented on 2017-04-25 15:37

I've update the SRCINFO just in case, please retry.

WhyNotHugo commented on 2017-04-25 15:36

I've update the SRCINFO just in case, please retry.

didacog commented on 2017-04-25 10:26

The bcwc-pcie-git works well, but bcwc-pcie-dkms ends with this error:

:: bcwc-pcie-dkms package(s) failed to install. Check .SRCINFO for mismatching data with PKGBUILD.

graphicmist commented on 2017-02-03 16:15

Installed it through yaourt in macbook air early 2015 model with facetime 720p HD webcam. Worked great till now.

bcc commented on 2016-10-20 12:34

:: bcwc-pcie-dkms package(s) failed to install. Check .SRCINFO for mismatching data with PKGBUILD.